GDAL-RASTER-EDIT(1)

NAME
gdal-raster-edit - Edit in place a raster dataset

Added in version 3.11.

SYNOPSIS

    Usage: gdal raster edit [OPTIONS] <DATASET>
    Edit a raster dataset.
    Positional arguments:
      --dataset <DATASET>       Dataset (to be updated in-place, unless --auxiliary) [required]
    Common Options:
      -h, --help                Display help message and exit
      --json-usage              Display usage as JSON document and exit
      --config <KEY>=<VALUE>    Configuration option [may be repeated]
      --progress                Display progress bar
    Options:
      --auxiliary               Ask for an auxiliary .aux.xml file to be edited
      --crs <CRS>               Override CRS (without reprojection)
      --bbox <BBOX>             Bounding box as xmin,ymin,xmax,ymax
      --nodata <NODATA>         Assign a specified nodata value to output bands ('none', numeric value, 'nan', 'inf', '-inf')
      --metadata <KEY>=<VALUE>  Add/update dataset metadata item [may be repeated]
      --unset-metadata <KEY>    Remove dataset metadata item [may be repeated]
      --stats                   Compute statistics, using all pixels
                                Mutually exclusive with --approx-stats
      --approx-stats            Compute statistics, using a subset of pixels
                                Mutually exclusive with --stats
      --hist                    Compute histogram

DESCRIPTION

gdal raster edit can be used to edit a raster dataset.

This subcommand is also available as a potential step of gdal raster pipeline

--dataset <DATASET>
    Dataset name, to be updated in-place, unless --auxiliary is set. Required.

--auxiliary
    Force opening the dataset in read-only mode. For drivers that implement the Persistent Auxiliary Metadata (PAM) mechanism, changes will be saved in an auxiliary side car file of extension .aux.xml.

--crs <CRS>
    Override CRS, without reprojecting.

    The coordinate reference systems that can be passed are anything supported by the OGRSpatialReference::SetFromUserInput() call, which includes EPSG Projected, Geographic or Compound CRS (i.e. EPSG:4296), a well known text (WKT) CRS definition, PROJ.4 declarations, or the name of a .prj file containing a WKT CRS definition.

    null or none can be specified to unset an existing CRS.

    Note that the spatial extent is also left unchanged.

--bbox <xmin>,<ymin>,<xmax>,ymax>
    Override the spatial bounding box, in CRS units, without reprojecting or subsetting. 'x' is longitude values for geographic CRS and easting for projected CRS. 'y' is latitude values for geographic CRS and northing for projected CRS.

--nodata <value>
    Override nodata value.

    null or none can be specified to unset an existing nodata value.

--metadata <KEY>=<VALUE>
    Add/update metadata item, at the dataset level.

--unset-metadata <KEY>
    Remove metadata item, at the dataset level.

--stats
    Compute raster band statistics for all bands.

--approx-stats
    Compute raster band statistics for all bands. They may be computed based on overviews or a subset of all tiles. Useful if you are in a hurry and don't need precise stats.

--hist
    Compute histogram information for all bands.

EXAMPLES

  Example 1: Override (without reprojecting) the CRS of a dataset

    $ gdal raster edit --crs=EPSG:32632 my.tif

  Example 2: Override (without reprojecting or subsetting) the bounding box of a dataset

    $ gdal raster edit --bbox=2,49,3,50 my.tif

  Example 3: Add a metadata item

    $ gdal raster edit --metadata AUTHOR=EvenR my.tif

  Example 4: Remove a metadata item

    $ gdal raster edit --unset-metadata AUTHOR my.tif

AUTHOR
Even Rouault <even.rouault@spatialys.com>

COPYRIGHT
1998-2025